using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace Animationer
{
    public class Game1 : Microsoft.Xna.Framework.Game
    {
        GraphicsDeviceManager graphics;
        SpriteBatch spriteBatch;

        //Animationer
        Texture2D gfx_explosion;
        Vector2 position;
        int time, frame;
        const int animation_speed = 50;

        public Game1()
        {
            graphics = new GraphicsDeviceManager(this);
            Content.RootDirectory = "Content";
        }

        protected override void Initialize()
        {
            base.Initialize();
        }

        protected override void LoadContent()
        {
            // Create a new SpriteBatch, which can be used to draw textures.
            spriteBatch = new SpriteBatch(GraphicsDevice);

            gfx_explosion = Content.Load<Texture2D>("explosion");
            position = new Vector2(200, 200);
        }

        protected override void UnloadContent()
        {
        }

        protected override void Update(GameTime gameTime)
        {
            // Allows the game to exit
            if (GamePad.GetState(PlayerIndex.One).Buttons.Back == ButtonState.Pressed)
                this.Exit();

            time += gameTime.ElapsedGameTime.Milliseconds;
            if (time >= animation_speed)
            {
                time = 0;
                frame++;
                if (frame > 15)
                {
                    frame = 0;
                }
            }

            base.Update(gameTime);
        }

        protected override void Draw(GameTime gameTime)
        {
            graphics.GraphicsDevice.Clear(Color.CornflowerBlue);

            spriteBatch.Begin();

            Rectangle tmp = new Rectangle((frame % 4) * 64, (frame / 4) * 64, 64, 64);
            spriteBatch.Draw(gfx_explosion, position, tmp, Color.White);

            spriteBatch.End();

            base.Draw(gameTime);
        }
    }
}
